package com.example.xlzh.accessibilitytest;

import android.accessibilityservice.AccessibilityService;
import android.accessibilityservice.AccessibilityServiceInfo;
import android.os.Build;
import android.support.annotation.RequiresApi;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;

import java.util.List;

/**
 * Created by xlzh on 2017/3/24.
 */

public class AccessibilityServiceTest extends AccessibilityService {

    @Override
    protected void onServiceConnected() {
        super.onServiceConnected();
        Log.d("XLZH:", "OnServiceConnected");
    }

    @RequiresApi(api = Build.VERSION_CODES.JELLY_BEAN)
    @Override
    public void onAccessibilityEvent(AccessibilityEvent event) {
        Log.d("XLZH:", event.toString());
        int eventType = event.getEventType();
        switch (eventType) {
            case AccessibilityEvent.TYPE_VIEW_SCROLLED:
                AccessibilityNodeInfo nodeInfo = getRootInActiveWindow();
                List<AccessibilityNodeInfo> list = nodeInfo.findAccessibilityNodeInfosByViewId("com.tendcloud.demo:id/pager");
                AccessibilityNodeInfo contentNodeInfo = list.get(0);
                Log.d("XLZH size:", String.valueOf(contentNodeInfo.getChildCount()));
                Log.d("XLZH class: ", String.valueOf(contentNodeInfo.getClassName()));

                if(contentNodeInfo.findAccessibilityNodeInfosByText("button_test1") != null){
                    Log.d("XLZH :", "first page");
                }
                if(contentNodeInfo.findAccessibilityNodeInfosByText("button1") != null){
                    Log.d("XLZH :", "second page");
                }
                if(contentNodeInfo.findAccessibilityNodeInfosByText("tvweb") != null){
                    Log.d("XLZH :", "third page");
                }


//                if(contentNodeInfo.findAccessibilityNodeInfosByViewId("com.tendcloud.demo:id/button_test1") != null){
//                    Log.d("XLZH :", "first page");
//                }
//                if(contentNodeInfo.findAccessibilityNodeInfosByViewId("com.tendcloud.demo:id/button1") != null){
//                    Log.d("XLZH :", "second page");
//                }
//                if(contentNodeInfo.findAccessibilityNodeInfosByViewId("com.tendcloud.demo:id/tvweb") != null){
//                    Log.d("XLZH :", "third page");
//                }

                break;
        }
    }

    @Override
    public void onInterrupt() {

    }
}
